<h3>{$LANG.clientareaproductdetails}</h3>

<hr>

<div class="row">
    <div class="col-sm-5">
        {$LANG.clientareahostingregdate}
    </div>
    <div class="col-sm-7">
        {$regdate}
    </div>
</div>

<div class="row">
    <div class="col-sm-5">
        {$LANG.orderproduct}
    </div>
    <div class="col-sm-7">
        {$groupname} - {$product}
    </div>
</div>



{foreach from=$productcustomfields item=customfield}
{if $customfield.name === 'domain'}
    <div class="row">
        <div class="col-sm-5">
            Domain
        </div>
        <div class="col-sm-7">
            {$customfield.value} <a href="http://{$customfield.value}" target="_blank" class="btn btn-default btn-xs">{$LANG.visitwebsite}</a>
        </div>
    </div>
{/if}
{/foreach}


<div class="row">
    <div class="col-sm-5">
        {$LANG.orderpaymentmethod}
    </div>
    <div class="col-sm-7">
        {$paymentmethod}
    </div>
</div>

<div class="row">
    <div class="col-sm-5">
        {$LANG.firstpaymentamount}
    </div>
    <div class="col-sm-7">
        {$firstpaymentamount}
    </div>
</div>

<div class="row">
    <div class="col-sm-5">
        {$LANG.recurringamount}
    </div>
    <div class="col-sm-7">
        {$recurringamount}
    </div>
</div>

<div class="row">
    <div class="col-sm-5">
        {$LANG.clientareahostingnextduedate}
    </div>
    <div class="col-sm-7">
        {$nextduedate}
    </div>
</div>

<div class="row">
    <div class="col-sm-5">
        {$LANG.orderbillingcycle}
    </div>
    <div class="col-sm-7">
        {$billingcycle}
    </div>
</div>

<div class="row">
    <div class="col-sm-5">
        {$LANG.clientareastatus}
    </div>
    <div class="col-sm-7">
        {$status}
    </div>
</div>

{if $suspendreason}
    <div class="row">
        <div class="col-sm-5">
            {$LANG.suspendreason}
        </div>
        <div class="col-sm-7">
            {$suspendreason}
        </div>
    </div>
{/if}

<hr>

{if $gpftoken}
Your License Token: <code id="token" onclick="copyText();">{$gpftoken}</code><sup> <span id="clickcopy" onclick="copyText();" class="label label-success" style="width:fit-content">Copy Token</span></sup>
<br>
Login: {$domain}<br>
Password: {$password}
{$panel = explode('?action=autologin',$gpfform)}
<br>
Panel: {if count($panel) > 0 && strpos($panel[0], '?action=autologin') === false}<a href="{$panel[0]}" target="_blank">{$panel[0]}</a> {/if}
<hr>
{/if}
<div class="row">
    <div class="col-sm-4">
        <a href="{$gpfform}" target="_blank"><button class="btn btn-primary btn-block">
                WAF Dashboard
            </button>
            </a>
    </div>

    {if $packagesupgrade}
        <div class="col-sm-4">
            <a href="upgrade.php?type=package&amp;id={$id}" class="btn btn-success btn-block">
                {$LANG.upgrade}
            </a>
        </div>
    {/if}

    <div class="col-sm-4">
        <a href="clientarea.php?action=cancel&amp;id={$id}" class="btn btn-danger btn-block{if $pendingcancellation}disabled{/if}">
            {if $pendingcancellation}
                {$LANG.cancellationrequested}
            {else}
                {$LANG.cancel}
            {/if}
        </a>
    </div>
</div>
<script>
function copyText() {
  var tokenElement = document.getElementById('token');
  var textToCopy = tokenElement.innerText || tokenElement.textContent;

  var dummyElement = document.createElement('textarea');
  dummyElement.value = textToCopy;
  document.body.appendChild(dummyElement);

  dummyElement.select();
  document.execCommand('copy');

  document.body.removeChild(dummyElement);
  document.getElementById('clickcopy').innerText = 'Token Copied';

  setTimeout(function() {
    document.getElementById('clickcopy').innerText = 'Copy Token';
  }, 3000);
}

</script>